Loading...
Searching...
No Matches
pappso::OboPsiModHandlerInterface Class Referenceabstract

`#include <obopsimodhandlerinterface.h>`

Inheritance diagram for pappso::OboPsiModHandlerInterface:

## Public Member Functions

virtual void | setOboPsiModTerm (const OboPsiModTerm &term)=0
| triggered function on each obo term when parsing obo file

## Detailed Description

Definition at line 30 of file obopsimodhandlerinterface.h.

## Member Function Documentation

## setOboPsiModTerm()

virtual void pappso::OboPsiModHandlerInterface::setOboPsiModTerm | ( | const OboPsiModTerm & | term | ) |

pure virtual

triggered function on each obo term when parsing obo file

Implemented in pappso::FilterOboPsiModMap, pappso::FilterOboPsiModSink, pappso::FilterOboPsiModTermAccession, pappso::FilterOboPsiModTermDiffMono, pappso::FilterOboPsiModTermLabel, pappso::FilterOboPsiModTermName, and pappso::OboListModel::OboPsiModHandler.

The documentation for this class was generated from the following file:

- pappsomspp/core/obo/obopsimodhandlerinterface.h